org.hibernate.search.elasticsearch.gson.impl

## Class UnexpectedJsonElementTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.hibernate.search.exception.AssertionFailure
        - - org.hibernate.search.elasticsearch.gson.impl.UnexpectedJsonElementTypeException

- All Implemented Interfaces:
    Serializable

      public class UnexpectedJsonElementTypeException
      extends AssertionFailure

  Author:
    Yoann Rodiere
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedJsonElementTypeException(JsonAccessor<?> accessor, JsonElementType<?> expectedType, com.google.gson.JsonElement actualElement)`
    `UnexpectedJsonElementTypeException(JsonAccessor<?> accessor, List<? extends JsonElementType<?>> expectedTypes, com.google.gson.JsonElement actualElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonAccessor<?>` | `getAccessor()`
    `com.google.gson.JsonElement` | `getActualElement()`
    `List<JsonElementType<?>>` | `getExpectedTypes()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedJsonElementTypeException

          public UnexpectedJsonElementTypeException(JsonAccessor<?> accessor,
                                                    JsonElementType<?> expectedType,
                                                    com.google.gson.JsonElement actualElement)

    - #### UnexpectedJsonElementTypeException

          public UnexpectedJsonElementTypeException(JsonAccessor<?> accessor,
                                                    List<? extends JsonElementType<?>> expectedTypes,
                                                    com.google.gson.JsonElement actualElement)

  - ### Method Detail

    - #### getAccessor

          public JsonAccessor<?> getAccessor()

    - #### getExpectedTypes

          public List<JsonElementType<?>> getExpectedTypes()

    - #### getActualElement

          public com.google.gson.JsonElement getActualElement()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved